Imports PerformanceCheck10.rptTester

<Serializable()>
Public Class RowItem

    Public Sub New()
    End Sub

    Public Property RecordType() As PrintRecordType = PrintRecordType.LegeRegel

    Public Property Code() As String = ""

    Public Property StuurCode() As String = ""

    Public Property MateriaalCode() As String = ""

    Public Property AdminCode() As String = ""

    Public Property GlnCode As String = ""

    Public Property GtinCode As String = ""

    Public Property Aantal() As Double = 0

    Public Property Eenheid() As String = ""

    Public Property Omschrijving() As String = ""

    Public Property Tekst() As String = ""

    Public Property Norm() As Double = 0

    Public Property Uren() As Double = 0

    Public Property Prijs() As Double = 0

    Public Property LoonKosten() As Double = 0

    Public Property Materiaal() As Double = 0

    Public Property Materieel() As Double = 0

    Public Property Stelpost() As Double = 0

    Public Property Onderaanneming() As Double = 0

    Private _EenheidsPrijs As Double
    Public Property EenheidsPrijs() As Double
        Get
            Dim totaal As Double = Bedrag
            If _Aantal <> 0 AndAlso totaal <> 0 Then
                _EenheidsPrijs = totaal / _Aantal
            End If
            Return _EenheidsPrijs
        End Get
        Set(value As Double)
            _EenheidsPrijs = value
        End Set
    End Property

    Public ReadOnly Property Bedrag() As Double
        Get
            Return _LoonKosten + _Materiaal + _Materieel + _Stelpost + _Onderaanneming
        End Get
    End Property

    Public Property BtwType() As Integer

    Public Property BtwHoog() As Double = 0

    Public Property BtwLaag() As Double = 0

    Public Property Percentage() As Double = 0

    Public Property Wfa() As Double = 1

    Public Property Wfm() As Double = 1

    Public Property Memo() As String = ""

    Public Property Level() As Integer = 0

    Public Property Hoofdstuk() As Integer = 0

    Public Property Paragraaf() As Integer = 0

    Public Property Nummer() As Integer = 0

    Public Property IsVastBedrag() As Boolean

    Public Property IsElement() As Boolean

    Public Property OnMaxLevel() As Boolean

    Public Property ArtikelNummer() As String = ""

    Public Property LetterType() As FontStyle

    Public Property NiveauTotaal() As Object

    Public Property Bereken() As String = ""

    Public Property TariefGroep() As String = "A"

    Public Property Markeer() As String = ""

    Public Property Markeringen() As String = ""

    Public Property TekstBlok() As String = ""

    Public Property Titel() As String = ""

    Public Property Bestandsnaam() As String = ""

    Public Property Hyperlink() As String = ""
End Class
